<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::create('appointments', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('telemed_pros_id')->nullable();
            $table->unsignedBigInteger('patient_id')->nullable();
            $table->timestamp('appointment_time');
            $table->timestamps();
            $table->foreign('telemed_pros_id')->references('id')->on('telemed_pros');
            $table->foreign('patient_id')->references('id')->on('patients');
        });
        Schema::table('telemed_pros', function (Blueprint $table) {
            $table->boolean('is_busy')->default(false);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down()
    {
        Schema::dropIfExists('appointments');
    }
};
